<?php
	$SEMANACOMPLETA[1] = 'Lunes';
	$SEMANACOMPLETA[2] = 'Martes';
	$SEMANACOMPLETA[3] = 'Mi&eacute;rcoles';
	$SEMANACOMPLETA[4] = 'Jueves';
	$SEMANACOMPLETA[5] = 'Viernes';
	$SEMANACOMPLETA[6] = 'S&aacute;bado';
	$SEMANACOMPLETA[0] = 'Domingo';
	
	$MESCOMPLETO[1] = 'Enero';
	$MESCOMPLETO[2] = 'Febrero';
	$MESCOMPLETO[3] = 'Marzo';
	$MESCOMPLETO[4] = 'Abril';
	$MESCOMPLETO[5] = 'Mayo';
	$MESCOMPLETO[6] = 'Junio';
	$MESCOMPLETO[7] = 'Julio';
	$MESCOMPLETO[8] = 'Agosto';
	$MESCOMPLETO[9] = 'Septiembre';
	$MESCOMPLETO[10] = 'Octubre';
	$MESCOMPLETO[11] = 'Noviembre';
	$MESCOMPLETO[12] = 'Diciembre';

	$dia=$_GET['dia'];
	$mes=$_GET['mes'];
	$ano=$_GET['ano'];
	if(!checkdate($mes,$dia,$ano))
	{
		header("location:../../index.php");
	}
	include("../../cabecera.php");
?>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Agenda - <?php echo $SEMANACOMPLETA[date("w", mktime(0, 0, 0, $mes, $dia, $ano))].", ".$dia." de ".$MESCOMPLETO[$mes]." de ".$ano?></td>
	</tr>
</table>
<?php
	$consultaCitas=mysql_query("SELECT * FROM agenda WHERE fecha='$ano-$mes-$dia' ORDER BY hora", $conexion);
	if(mysql_num_rows($consultaCitas)>0)
	{
?>
<div id="citas">
	<h4>Citas:</h4>
	<table cellpadding="0" cellspacing="0" style="width:100%">
<?php
	$n=0; //colores par e impar
	while($filaCita=mysql_fetch_array($consultaCitas))
	{
		if($n%2==0) //es par
			$claseFila="filaP";
		else  //impar
			$claseFila="filaI";
		$n++;
		$hora=substr($filaCita['hora'],0,2);
		$min=substr($filaCita['hora'],2,2);
?>
		<tr>
			<td class="<?php echo $claseFila?>"><a href="ag-verCita.php?id=<?php echo $filaCita['id']?>" style="color:#000;text-decoration:underline"><?php echo $filaCita['titulo']." - ".$hora.":".$min?></a></td>
		</tr>
		<tr>
			<td class="<?php echo $claseFila?>" style="border-bottom:1px solid #fff"><?php echo $filaCita['descripcion']?></td>
		</tr>
<?php
	}
?>
	</table>
</div>
<?php } ?>
<form method="POST" action="ag-new.php">
	<div id="nuevaCita">
		<input type="hidden" name="dia" value="<?php echo $dia?>" />
		<input type="hidden" name="mes" value="<?php echo $mes?>" />
		<input type="hidden" name="ano" value="<?php echo $ano?>" />
		<h4>Nueva Cita:</h4>
		T&iacute;tulo <input class="caja" type="text" name="titulo" value="" style="width:300px" /><br />
		Descripci&oacute;n <br />
		<textarea name="descripcion" rows="6" cols="100" class="caja" style="width:700px;height:130px"></textarea><br />
		Hora 
		<select name="hora" class="caja" style="width:38px">
		<?php
			for($k=0;$k<24;$k++)
			{
				if($k<10)
					$kp="0".$k;
				else
					$kp=$k;
		?>
			<option value="<?php echo $kp?>"><?php echo $kp?></option>
		<?php
			}
		?>
		</select>
		:
		<select name="min" class="caja" style="width:38px">
		<?php
			for($k=0;$k<60;$k+=15)
			{
				if($k<10)
					$kp="0".$k;
				else
					$kp=$k;
		?>
			<option value="<?php echo $kp?>"><?php echo $kp?></option>
		<?php
			}
		?>
		</select>
		<br /><br />
		<input type="submit" value="Enviar" class="boton" />
	</div>
</form>
<?php
	include("../../pie.php");
?>